Add phone numbers to a pool
curl --request POST \
--url https://api.assistable.ai/v3/number-pools/{id}/add-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number_ids": [
"<string>"
],
"subaccount_id": "<string>",
"location_id": "<string>"
}
'import requests
url = "https://api.assistable.ai/v3/number-pools/{id}/add-numbers"
payload = {
"phone_number_ids": ["<string>"],
"subaccount_id": "<string>",
"location_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number_ids: ['<string>'],
subaccount_id: '<string>',
location_id: '<string>'
})
};
fetch('https://api.assistable.ai/v3/number-pools/{id}/add-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"phoneNumbersCount": 123,
"phoneNumbers": [
{
"id": "<string>",
"number": "<string>",
"name": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"request_id": "<string>",
"error": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}Number pools
Add phone numbers to a pool
Requires scope numbers:update.
POST
/
v3
/
number-pools
/
{id}
/
add-numbers
Add phone numbers to a pool
Authorizations
Your v3 API key, e.g. ask_live_…
Headers
Target subaccount for the request. Required unless the API key is authorized for exactly one subaccount (then it defaults to that one). Alternatively pass subaccount_id (or legacy location_id) in the request body. Omitting it on a multi-subaccount key returns 400 subaccount_required.
Path Parameters
Minimum string length:
1Body
application/json
⌘I
